## crash 3.3

=== Makefile ===
# Makefile for core analysis suite
#
# Copyright (C) 1999, 2000, 2001, 2002 Mission Critical Linux, Inc.
#       www.missioncriticallinux.com, info@missioncriticallinux.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# BitKeeper ID: @(#)Makefile 1.13
#
# 09/28/00  Transition to CVS version control
#
# CVS: $Revision: 1.72 $ $Date: 2002/01/30 19:28:34 $
#

PROGRAM=crash

#
# Supported targets: X86 ALPHA PPC IA64
# TARGET will be configured automatically by mktarget
#
TARGET=

#
# Supported gdb versions: gdb-5.0 gdb-5.0-7 gdb-5.1
# GDB, GDB_FILES and GDB_OFILES will be configured automatically by mktarget 
#
GDB=
GDB_FILES=${GDB_5.1_FILES}
GDB_OFILES=

#
# The executable is dynamically linked by default.  To build a statically 
# linked version for X86, ALPHA or PPC, perform either of the following options:
#
# (1) Invoke make like so:  make LDFLAGS=-static
# (2) Or uncomment the "LDFLAGS=-static" definition below:

#LDFLAGS=-static

# For IA64, perform either of the following options:
#
# (1) Uncomment "LDFLAGS=-static" above and then invoke make like so:
#    make NAT_CLIBS="-lc -lresolv" GDBSERVER_LIBS="-lc -lresolv"
# (2) Or invoke make like so:
#    make LDFLAGS=-static NAT_CLIBS="-lc -lresolv" GDBSERVER_LIBS="-lc -lresolv"

MCLX_HFILES=defs.h va_server.h vas_crash.h 
LKCD_HFILES=lkcd_vmdump_v1.h lkcd_vmdump_v2_v3.h lkcd_dump_v5.h
IBM_HFILES=ibm_common.h
MCLX_CFILES=main.c tools.c global_data.c memory.c filesys.c help.c task.c \
	kernel.c test.c gdb_interface.c mktarget.c net.c dev.c \
	alpha.c x86.c ppc.c ia64.c s390.c s390x.c \
	extensions.c remote.c va_server.c va_server_v1.c symbols.c cmdline.c \
	lkcd_common.c lkcd_v1.c lkcd_v2_v3.c lkcd_v5.c \
	s390_dump.c s390x_dump.c
SOURCE_FILES=${MCLX_CFILES} ${MCLX_HFILES} ${LKCD_HFILES} ${IBM_HFILES} 

OBJECT_FILES=main.o tools.o global_data.o memory.o filesys.o help.o task.o \
	build_data.o kernel.o test.o gdb_interface.o net.o dev.o \
	alpha.o x86.o ppc.o ia64.o s390.o s390x.o \
	extensions.o remote.o va_server.o va_server_v1.o symbols.o cmdline.o \
	lkcd_common.o lkcd_v1.o lkcd_v2_v3.o lkcd_v5.o \
	s390_dump.o s390x_dump.o

GDB_5.0_FILES=${GDB}/gdb/Makefile.in \
	  ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
	  ${GDB}/gdb/blockframe.c ${GDB}/gdb/alpha-tdep.c \
	  ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
	  ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c ${GDB}/gdb/gnu-regex.c \
	  ${GDB}/gdb/ppc-linux-nat.c
GDB_5.0_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o ${GDB}/gdb/target.o \
          ${GDB}/gdb/blockframe.o ${GDB}/gdb/alpha-tdep.o \
          ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o ${GDB}/gdb/gnu-regex.o \
          ${GDB}/gdb/ppc-linux-nat.o

GDB_5.0-7_FILES=${GDB_5.0_FILES}
GDB_5.0-7_OFILES=${GDB_5.0_OFILES}

GDB_5.1_FILES=${GDB}/gdb/Makefile.in \
	  ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
	  ${GDB}/gdb/blockframe.c ${GDB}/gdb/alpha-tdep.c \
	  ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
	  ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c  ${GDB}/gdb/gnu-regex.c
GDB_5.1_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o ${GDB}/gdb/target.o \
          ${GDB}/gdb/blockframe.o ${GDB}/gdb/alpha-tdep.o \
          ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o ${GDB}/gdb/gnu-regex.o

# 
# GDB_FLAGS is currently unused.  It's passed up from the gdb Makefile, and
# can be resurrected if the need arises.
#
GDB_FLAGS=

#
# WARNING_OPTIONS and WARNING_ERROR are both applied on a per-file basis. 
# WARNING_ERROR is NOT used on files including "dirty" gdb headers so that 
# successful compilations can be achieved with acceptable warnings; its 
# usefulness is also dependent upon the processor's compiler -- your mileage
# may vary.
#
#WARNING_OPTIONS=-Wall -Wstrict-prototypes -Wmissing-prototypes
#WARNING_ERROR=-Werror

CFLAGS=-g -DMCLX -D${TARGET}

TAR_FILES=${SOURCE_FILES} Makefile COPYING README
CSCOPE_FILES=${SOURCE_FILES}

READLINE_DIRECTORY=./${GDB}/readline
BFD_DIRECTORY=./${GDB}/bfd

all: target
	@./mktarget -b
	@make --no-print-directory gdb_merge

gdb_merge: force
	@if [ ! -f ${GDB}/Makefile.in ]; then \
	  make --no-print-directory gdb_unzip; fi
	@echo "${LDFLAGS} ../../${PROGRAM}lib.a -lz -ldl -rdynamic" > \
		${GDB}/gdb/mergelibs
	@echo "../../${PROGRAM}" > ${GDB}/gdb/mergeobj
	@if [ ! -f ${GDB}/config.status ]; then \
	  (cd ${GDB}; ./configure; make --no-print-directory;) \
	else (cd ${GDB}/gdb; make --no-print-directory;); fi

gdb_unzip:
	@rm -f gdb.files
	@for FILE in ${GDB_FILES}; do\
	  echo $$FILE >> gdb.files; done
	@tar --exclude-from gdb.files -xvzmf ${GDB}.tar.gz

library: stamp ${OBJECT_FILES}
	ar -rs ${PROGRAM}lib.a ${OBJECT_FILES}
	
gdb: force
	rm -f ${GDB_OFILES}
	@make --no-print-directory all

force:
	

target: force
	@rm -f mktarget
	@cc -o mktarget mktarget.c ${WARNING_ERROR} ${WARNING_OPTIONS}

clean:
	rm -f ${OBJECT_FILES} ${PROGRAM} ${PROGRAM}lib.a ${GDB_OFILES}

stamp: force
	cc -c ${CFLAGS} build_data.c ${WARNING_OPTIONS} ${WARNING_ERROR}

unconfig: target
	@./mktarget -u

warn: target
	@./mktarget -w -b
	@make --no-print-directory gdb_merge

Warn: target
	@./mktarget -W -b
	@make --no-print-directory gdb_merge

nowarn: target
	@./mktarget -n -b
	@make --no-print-directory gdb_merge

main.o: ${MCLX_HFILES} main.c
	cc -c ${CFLAGS} main.c ${WARNING_OPTIONS} ${WARNING_ERROR} 

cmdline.o: ${MCLX_HFILES} cmdline.c
	cc -c ${CFLAGS} cmdline.c -I${READLINE_DIRECTORY} ${WARNING_OPTIONS}

tools.o: ${MCLX_HFILES} tools.c
	cc -c ${CFLAGS} tools.c ${WARNING_OPTIONS} ${WARNING_ERROR}

global_data.o: ${MCLX_HFILES} global_data.c
	cc -c ${CFLAGS} global_data.c ${WARNING_OPTIONS} ${WARNING_ERROR}

symbols.o: ${MCLX_HFILES} symbols.c
	cc -c ${CFLAGS} symbols.c -I${BFD_DIRECTORY} ${WARNING_OPTIONS} ${WARNING_ERROR}

filesys.o: ${MCLX_HFILES} filesys.c
	cc -c ${CFLAGS} filesys.c ${WARNING_OPTIONS} ${WARNING_ERROR}

help.o: ${MCLX_HFILES} help.c
	cc -c ${CFLAGS} help.c ${WARNING_OPTIONS} ${WARNING_ERROR}

memory.o: ${MCLX_HFILES} memory.c
	cc -c ${CFLAGS} memory.c ${WARNING_OPTIONS} ${WARNING_ERROR}

test.o: ${MCLX_HFILES} test.c
	cc -c ${CFLAGS} test.c ${WARNING_OPTIONS} ${WARNING_ERROR}

task.o: ${MCLX_HFILES} task.c
	cc -c ${CFLAGS} task.c ${WARNING_OPTIONS} ${WARNING_ERROR}

kernel.o: ${MCLX_HFILES} kernel.c
	cc -c ${CFLAGS} kernel.c ${WARNING_OPTIONS} ${WARNING_ERROR}

gdb_interface.o: ${MCLX_HFILES} gdb_interface.c
	cc -c ${CFLAGS} gdb_interface.c ${WARNING_OPTIONS} ${WARNING_ERROR}

va_server.o: ${MCLX_HFILES} va_server.c
	cc -c ${CFLAGS} va_server.c ${WARNING_OPTIONS} ${WARNING_ERROR}

va_server_v1.o: ${MCLX_HFILES} va_server_v1.c
	cc -c ${CFLAGS} va_server_v1.c ${WARNING_OPTIONS} ${WARNING_ERROR}

lkcd_common.o: ${MCLX_HFILES} ${LKCD_HFILES} lkcd_common.c
	cc -c ${CFLAGS} lkcd_common.c ${WARNING_OPTIONS} ${WARNING_ERROR}

lkcd_v1.o: ${MCLX_HFILES} ${LKCD_HFILES} lkcd_v1.c
	cc -c ${CFLAGS} lkcd_v1.c ${WARNING_OPTIONS} ${WARNING_ERROR}

lkcd_v2_v3.o: ${MCLX_HFILES} ${LKCD_HFILES} lkcd_v2_v3.c
	cc -c ${CFLAGS} lkcd_v2_v3.c ${WARNING_OPTIONS} ${WARNING_ERROR}

lkcd_v5.o: ${MCLX_HFILES} ${LKCD_HFILES} lkcd_v5.c
	cc -c ${CFLAGS} lkcd_v5.c ${WARNING_OPTIONS} ${WARNING_ERROR}

net.o: ${MCLX_HFILES} net.c
	cc -c ${CFLAGS} net.c ${WARNING_OPTIONS} ${WARNING_ERROR}

dev.o: ${MCLX_HFILES} dev.c
	cc -c ${CFLAGS} dev.c ${WARNING_OPTIONS} ${WARNING_ERROR}

remote.o: ${MCLX_HFILES} remote.c
	cc -c ${CFLAGS} remote.c ${WARNING_OPTIONS} ${WARNING_ERROR}

x86.o: ${MCLX_HFILES} x86.c
	cc -c ${CFLAGS} x86.c ${WARNING_OPTIONS} ${WARNING_ERROR}

alpha.o: ${MCLX_HFILES} alpha.c
	cc -c ${CFLAGS} alpha.c ${WARNING_OPTIONS} ${WARNING_ERROR}

ppc.o: ${MCLX_HFILES} ppc.c
	cc -c ${CFLAGS} ppc.c ${WARNING_OPTIONS} ${WARNING_ERROR}

ia64.o: ${MCLX_HFILES} ia64.c
	cc -c ${CFLAGS} ia64.c ${WARNING_OPTIONS} ${WARNING_ERROR}

s390.o: ${MCLX_HFILES} ${IBM_HFILES} s390.c
	cc -c ${CFLAGS} s390.c ${WARNING_OPTIONS} ${WARNING_ERROR}

s390x.o: ${MCLX_HFILES} ${IBM_HFILES} s390x.c
	cc -c ${CFLAGS} s390x.c ${WARNING_OPTIONS} ${WARNING_ERROR}

s390_dump.o: ${MCLX_HFILES} ${IBM_HFILES} s390_dump.c
	cc -c ${CFLAGS} s390_dump.c ${WARNING_OPTIONS} ${WARNING_ERROR}

s390x_dump.o: ${MCLX_HFILES} ${IBM_HFILES} s390x_dump.c
	cc -c ${CFLAGS} s390x_dump.c ${WARNING_OPTIONS} ${WARNING_ERROR}

extensions.o: ${MCLX_HFILES} extensions.c
	cc -c ${CFLAGS} extensions.c ${WARNING_OPTIONS} ${WARNING_ERROR}

${PROGRAM}: force
	@make --no-print-directory all

${PROGRAM}d: target
	@./mktarget -d
	@make --no-print-directory stamp
	@make --no-print-directory daemon 

daemon: va_server.o va_server_v1.o lkcd_common.o lkcd_v1.o \
	lkcd_v2_v3.o lkcd_v5.o s390_dump.o s390x_dump.o
	cc -c ${CFLAGS} remote.c -o daemon.o -D_DAEMON_ ${WARNING_OPTIONS} ${WARNING_ERROR} 
	cc ${LDFLAGS} -o ${PROGRAM}d daemon.o va_server.o va_server_v1.o \
	lkcd_common.o lkcd_v1.o lkcd_v2_v3.o lkcd_v5.o \
	s390_dump.o s390x_dump.o build_data.o -lz 
	
files: target
	@./mktarget -q -b
	@make --no-print-directory show_files

show_files:
	@echo ${SOURCE_FILES} Makefile ${GDB_FILES} COPYING README

ctags:
	ctags ${SOURCE_FILES}

tar: target
	@./mktarget -q -b
	@make --no-print-directory do_tar

do_tar:
	tar cvzf ${PROGRAM}.tar.gz ${TAR_FILES} ${GDB_FILES}

RELEASE=

release:
	@if [ "`id --user`" != "0" ]; then \
		echo "make release: must be super-user"; exit 1; fi
	@if [ "${RELEASE}" = "" ] || [ "${GDB}" = "" ] ; then \
		echo "Enter RELEASE=x.x and, if not set, GDB=gdb-x.x on make command line "; \
	else make --no-print-directory release_configure; fi

release_configure: target
	@./mktarget -u -r ${GDB}
	@make --no-print-directory do_release

do_release:
	@echo "RELEASE: ${RELEASE}  GDB VERSION: ${GDB}"
	@rm -rf ./RELDIR; mkdir ./RELDIR; mkdir ./RELDIR/${PROGRAM}${RELEASE}
	@rm -f ${PROGRAM}${RELEASE}.tar.gz ${PROGRAM}${RELEASE}-IA64.tar.gz
	@chown root ./RELDIR/${PROGRAM}${RELEASE}
	@tar cf - ${SOURCE_FILES} Makefile ${GDB_FILES} COPYING \
	| (cd ./RELDIR/${PROGRAM}${RELEASE}; tar xf -)
	@cp ${GDB}.tar.gz ./RELDIR/${PROGRAM}${RELEASE}
	@./crash -h README > ./RELDIR/${PROGRAM}${RELEASE}/README
	@(cd ./RELDIR; find . -exec chown root {} ";")
	@(cd ./RELDIR; find . -exec chgrp root {} ";")
	@(cd ./RELDIR; find . -exec touch {} ";")
	@(cd ./RELDIR; \
		tar czvf ../${PROGRAM}${RELEASE}.tar.gz ${PROGRAM}${RELEASE})
	@chgrp root ${PROGRAM}${RELEASE}.tar.gz
	@rm -rf ./RELDIR
	@echo
	@if [ "${GDB}" = "gdb-5.0-7" ]; then \
		mv ${PROGRAM}${RELEASE}.tar.gz \
			${PROGRAM}${RELEASE}-IA64.tar.gz; \
		ls -l ${PROGRAM}${RELEASE}-IA64.tar.gz; \
	else ls -l ${PROGRAM}${RELEASE}.tar.gz; fi


ref:
	make ctags cscope

cscope:
	rm -f cscope.files cscope_out
	for FILE in ${SOURCE_FILES}; do \
	echo $$FILE >> cscope.files; done
	cscope

glink: target
	@./mktarget -q -b
	rm -f gdb
	ln -s ${GDB}/gdb gdb
	(cd ${GDB}/gdb; rm -f ${PROGRAM}; ln -s ../../${PROGRAM} ${PROGRAM})

name:
	@echo ${PROGRAM}

## crash 3.8

=== Makefile ===
# Makefile for core analysis suite
#
# Copyright (C) 1999, 2000, 2001, 2002 Mission Critical Linux, Inc.
#       www.missioncriticallinux.com, info@missioncriticallinux.com
#
# Copyright (C) 2002, 2003, 2004 David Anderson
# Copyright (C) 2002, 2003, 2004 Red Hat, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# BitKeeper ID: @(#)Makefile 1.13
#
# 09/28/00  Transition to CVS version control
#
# CVS: $Revision: 1.50 $ $Date: 2004/06/11 20:22:24 $
#

PROGRAM=crash

#
# Supported targets: X86 ALPHA PPC IA64
# TARGET will be configured automatically by configure
#
TARGET=

#
# GDB, GDB_FILES and GDB_OFILES will be configured automatically by configure 
#
GDB=gdb-6.1
GDB_FILES=${GDB_6.1_FILES}
GDB_OFILES=

#
# Default installation directory
#
INSTALLDIR=${DESTDIR}/usr/bin

#
# The executable is dynamically linked by default.  To build a statically 
# linked version for X86, ALPHA or PPC, perform either of the following options:
#
# (1) Invoke make like so:  make LDFLAGS=-static
# (2) Or uncomment the "LDFLAGS=-static" definition below:

#LDFLAGS=-static

# For IA64, perform either of the following options:
#
# (1) Uncomment "LDFLAGS=-static" above and then invoke make like so:
#    make NAT_CLIBS="-lc -lresolv" GDBSERVER_LIBS="-lc -lresolv"
# (2) Or invoke make like so:
#    make LDFLAGS=-static NAT_CLIBS="-lc -lresolv" GDBSERVER_LIBS="-lc -lresolv"

GENERIC_HFILES=defs.h 
MCORE_HFILES=va_server.h vas_crash.h
REDHAT_HFILES=netdump.h diskdump.h
LKCD_DUMP_HFILES=lkcd_vmdump_v1.h lkcd_vmdump_v2_v3.h lkcd_dump_v5.h \
        lkcd_dump_v8.h
LKCD_TRACE_HFILES=lkcd_x86_trace.h
IBM_HFILES=ibm_common.h
UNWIND_HFILES=unwind.h unwind_i.h rse.h

CFILES=main.c tools.c global_data.c memory.c filesys.c help.c task.c \
	kernel.c test.c gdb_interface.c configure.c net.c dev.c \
	alpha.c x86.c ppc.c ia64.c s390.c s390x.c ppc64.c x86_64.c \
	extensions.c remote.c va_server.c va_server_v1.c symbols.c cmdline.c \
	lkcd_common.c lkcd_v1.c lkcd_v2_v3.c lkcd_v5.c lkcd_v7.c lkcd_v8.c\
	s390_dump.c s390x_dump.c lkcd_x86_trace.c \
	netdump.c diskdump.c unwind.c unwind_decoder.c

SOURCE_FILES=${CFILES} ${GENERIC_HFILES} ${MCORE_HFILES} \
	${REDHAT_CFILES} ${REDHAT_HFILES} ${UNWIND_HFILES} \
	${LKCD_DUMP_HFILES} ${LKCD_TRACE_HFILES} ${IBM_HFILES} 

OBJECT_FILES=main.o tools.o global_data.o memory.o filesys.o help.o task.o \
	build_data.o kernel.o test.o gdb_interface.o net.o dev.o \
	alpha.o x86.o ppc.o ia64.o s390.o s390x.o ppc64.o x86_64.o \
	extensions.o remote.o va_server.o va_server_v1.o symbols.o cmdline.o \
	lkcd_common.o lkcd_v1.o lkcd_v2_v3.o lkcd_v5.o lkcd_v7.o lkcd_v8.o \
	s390_dump.o s390x_dump.o netdump.o diskdump.o \
	lkcd_x86_trace.o unwind_v1.o unwind_v2.o unwind_v3.o

DAEMON_OBJECT_FILES=remote_daemon.o va_server.o va_server_v1.o \
	lkcd_common.o lkcd_v1.o lkcd_v2_v3.o lkcd_v5.o lkcd_v7.o lkcd_v8.o \
	s390_dump.o s390x_dump.o netdump_daemon.o

GDB_5.0_FILES=${GDB}/gdb/Makefile.in \
	  ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
	  ${GDB}/gdb/blockframe.c ${GDB}/gdb/alpha-tdep.c \
	  ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
	  ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c ${GDB}/gdb/gnu-regex.c \
	  ${GDB}/gdb/ppc-linux-nat.c
GDB_5.0_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o ${GDB}/gdb/target.o \
          ${GDB}/gdb/blockframe.o ${GDB}/gdb/alpha-tdep.o \
          ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o ${GDB}/gdb/gnu-regex.o \
          ${GDB}/gdb/ppc-linux-nat.o

GDB_5.1_FILES=${GDB}/gdb/Makefile.in \
	  ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
	  ${GDB}/gdb/blockframe.c ${GDB}/gdb/alpha-tdep.c \
	  ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
	  ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c  ${GDB}/gdb/gnu-regex.c
GDB_5.1_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o ${GDB}/gdb/target.o \
          ${GDB}/gdb/blockframe.o ${GDB}/gdb/alpha-tdep.o \
          ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o ${GDB}/gdb/gnu-regex.o

GDB_5.2.1_FILES=${GDB}/gdb/Makefile.in \
          ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
          ${GDB}/gdb/blockframe.c ${GDB}/gdb/alpha-tdep.c \
          ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c
GDB_5.2.1_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o ${GDB}/gdb/target.o \
          ${GDB}/gdb/blockframe.o ${GDB}/gdb/alpha-tdep.o \
          ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o 

GDB_5.3post-0.20021129.36rh_FILES=${GDB}/gdb/Makefile.in \
          ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
          ${GDB}/gdb/frame.c ${GDB}/gdb/alpha-tdep.c \
          ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c ${GDB}/gdb/dwarf2read.c
GDB_5.3post-0.20021129.36rh_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
          ${GDB}/gdb/target.o ${GDB}/gdb/frame.o ${GDB}/gdb/alpha-tdep.o \
          ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o ${GDB}/gdb/ui-file.o \
          ${GDB}/gdb/utils.o ${GDB}/gdb/dwarf2read.o

GDB_6.1_FILES=${GDB}/gdb/Makefile.in ${GDB}/Makefile.in \
          ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
          ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c
GDB_6.1_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
          ${GDB}/gdb/target.o ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o 


# 
# GDB_FLAGS is passed up from the gdb Makefile.
#
GDB_FLAGS=

#
# WARNING_OPTIONS and WARNING_ERROR are both applied on a per-file basis. 
# WARNING_ERROR is NOT used on files including "dirty" gdb headers so that 
# successful compilations can be achieved with acceptable warnings; its 
# usefulness is also dependent upon the processor's compiler -- your mileage
# may vary.
#
#WARNING_OPTIONS=-Wall -Wstrict-prototypes -Wmissing-prototypes
#WARNING_ERROR=-Werror

# TARGET_CFLAGS will be configured automatically by configure
TARGET_CFLAGS=

CFLAGS=-g -D${TARGET} ${TARGET_CFLAGS}

TAR_FILES=${SOURCE_FILES} Makefile COPYING README .rh_rpm_package crash.8
CSCOPE_FILES=${SOURCE_FILES}

READLINE_DIRECTORY=./${GDB}/readline
BFD_DIRECTORY=./${GDB}/bfd
GDB_INCLUDE_DIRECTORY=./${GDB}/include

REDHATFLAGS=-DREDHAT

all: make_configure
	@./configure -p "RPMPKG=${RPMPKG}" -b
	@make --no-print-directory gdb_merge

gdb_merge: force
	@if [ ! -f ${GDB}/README ]; then \
	  make --no-print-directory gdb_unzip; fi
	@echo "${LDFLAGS} -lz -ldl -rdynamic" > ${GDB}/gdb/mergelibs
	@echo "../../${PROGRAM} ../../${PROGRAM}lib.a" > ${GDB}/gdb/mergeobj
	@if [ ! -f ${GDB}/config.status ]; then \
	  (cd ${GDB}; ./configure --with-separate-debug-dir=/usr/lib/debug; \
	  make --no-print-directory;) \
	else (cd ${GDB}/gdb; make --no-print-directory;); fi
	@if [ ! -f ${GDB}/gdb/libgdb.a ]; then \
	  echo; echo "gdb build failed: ${GDB}/gdb/libgdb.a does not exist"; \
	  echo; exit 1; fi

gdb_unzip:
	@rm -f gdb.files
	@for FILE in ${GDB_FILES}; do\
	  echo $$FILE >> gdb.files; done
	@tar --exclude-from gdb.files -xvzmf ${GDB}.tar.gz

library: make_build_data ${OBJECT_FILES}
	ar -rs ${PROGRAM}lib.a ${OBJECT_FILES}

gdb: force
	rm -f ${GDB_OFILES}
	@make --no-print-directory all

force:
	

make_configure: force
	@rm -f configure
	@cc -o configure configure.c ${WARNING_ERROR} ${WARNING_OPTIONS}

clean:
	rm -f ${OBJECT_FILES} ${DAEMON_OBJECT_FILES} ${PROGRAM} ${PROGRAM}lib.a ${GDB_OFILES}

make_build_data: force
	cc -c ${CFLAGS} build_data.c ${WARNING_OPTIONS} ${WARNING_ERROR}

install:
	/usr/bin/install ${PROGRAM} ${INSTALLDIR}
#	/usr/bin/install ${PROGRAM}d ${INSTALLDIR}

unconfig: make_configure
	@./configure -u

warn: make_configure
	@./configure -w -b
	@make --no-print-directory gdb_merge

Warn: make_configure
	@./configure -W -b
	@make --no-print-directory gdb_merge

nowarn: make_configure
	@./configure -n -b
	@make --no-print-directory gdb_merge

main.o: ${GENERIC_HFILES} main.c
	cc -c ${CFLAGS} main.c ${WARNING_OPTIONS} ${WARNING_ERROR} 

cmdline.o: ${GENERIC_HFILES} cmdline.c
	cc -c ${CFLAGS} ${GDB_FLAGS} cmdline.c -I${READLINE_DIRECTORY} ${WARNING_OPTIONS}

tools.o: ${GENERIC_HFILES} tools.c
	cc -c ${CFLAGS} tools.c ${WARNING_OPTIONS} ${WARNING_ERROR}

global_data.o: ${GENERIC_HFILES} global_data.c
	cc -c ${CFLAGS} global_data.c ${WARNING_OPTIONS} ${WARNING_ERROR}

symbols.o: ${GENERIC_HFILES} symbols.c
	cc -c ${CFLAGS} ${GDB_FLAGS} symbols.c -I${BFD_DIRECTORY} -I${GDB_INCLUDE_DIRECTORY} ${WARNING_OPTIONS} ${WARNING_ERROR}

filesys.o: ${GENERIC_HFILES} filesys.c
	cc -c ${CFLAGS} filesys.c ${WARNING_OPTIONS} ${WARNING_ERROR}

help.o: ${GENERIC_HFILES} help.c
	cc -c ${CFLAGS} ${GDB_FLAGS} help.c ${WARNING_OPTIONS} ${WARNING_ERROR}

memory.o: ${GENERIC_HFILES} memory.c
	cc -c ${CFLAGS} memory.c ${WARNING_OPTIONS} ${WARNING_ERROR}

test.o: ${GENERIC_HFILES} test.c
	cc -c ${CFLAGS} test.c ${WARNING_OPTIONS} ${WARNING_ERROR}

task.o: ${GENERIC_HFILES} task.c
	cc -c ${CFLAGS} ${GDB_FLAGS} task.c ${WARNING_OPTIONS} ${WARNING_ERROR}

kernel.o: ${GENERIC_HFILES} kernel.c
	cc -c ${CFLAGS} ${GDB_FLAGS} kernel.c ${WARNING_OPTIONS} ${WARNING_ERROR}

gdb_interface.o: ${GENERIC_HFILES} gdb_interface.c
	cc -c ${CFLAGS} ${GDB_FLAGS} gdb_interface.c ${WARNING_OPTIONS} ${WARNING_ERROR}

va_server.o: ${MCORE_HFILES} va_server.c
	cc -c ${CFLAGS} va_server.c ${WARNING_OPTIONS} ${WARNING_ERROR}

va_server_v1.o: ${MCORE_HFILES} va_server_v1.c
	cc -c ${CFLAGS} va_server_v1.c ${WARNING_OPTIONS} ${WARNING_ERROR}

lkcd_common.o: ${GENERIC_HFILES} ${LKCD_DUMP_HFILES} lkcd_common.c
	cc -c ${CFLAGS} lkcd_common.c ${WARNING_OPTIONS} ${WARNING_ERROR}

lkcd_v1.o: ${GENERIC_HFILES} ${LKCD_DUMP_HFILES} lkcd_v1.c
	cc -c ${CFLAGS} -DMCLX lkcd_v1.c ${WARNING_OPTIONS} ${WARNING_ERROR}

lkcd_v2_v3.o: ${GENERIC_HFILES} ${LKCD_DUMP_HFILES} lkcd_v2_v3.c
	cc -c ${CFLAGS} -DMCLX lkcd_v2_v3.c ${WARNING_OPTIONS} ${WARNING_ERROR}

lkcd_v5.o: ${GENERIC_HFILES} ${LKCD_DUMP_HFILES} lkcd_v5.c
	cc -c ${CFLAGS} -DMCLX lkcd_v5.c ${WARNING_OPTIONS} ${WARNING_ERROR}

lkcd_v7.o: ${GENERIC_HFILES} ${LKCD_DUMP_HFILES} lkcd_v7.c
	cc -c ${CFLAGS} -DMCLX lkcd_v7.c ${WARNING_OPTIONS} ${WARNING_ERROR}

lkcd_v8.o: ${GENERIC_HFILES} ${LKCD_DUMP_HFILES} lkcd_v8.c
	cc -c ${CFLAGS} -DMCLX lkcd_v8.c ${WARNING_OPTIONS} ${WARNING_ERROR}

net.o: ${GENERIC_HFILES} net.c
	cc -c ${CFLAGS} net.c ${WARNING_OPTIONS} ${WARNING_ERROR}

dev.o: ${GENERIC_HFILES} dev.c
	cc -c ${CFLAGS} dev.c ${WARNING_OPTIONS} ${WARNING_ERROR}

# remote.c functionality has been deprecated
remote.o: ${GENERIC_HFILES} remote.c
	@cc -c ${CFLAGS} remote.c ${WARNING_OPTIONS} ${WARNING_ERROR}
remote_daemon.o: ${GENERIC_HFILES} remote.c
	cc -c ${CFLAGS} -DDAEMON remote.c -o remote_daemon.o ${WARNING_OPTIONS} ${WARNING_ERROR}

x86.o: ${GENERIC_HFILES} x86.c
	cc -c ${CFLAGS} -DMCLX x86.c ${WARNING_OPTIONS} ${WARNING_ERROR}

alpha.o: ${GENERIC_HFILES} alpha.c
	cc -c ${CFLAGS} ${GDB_FLAGS} alpha.c ${WARNING_OPTIONS} ${WARNING_ERROR}

ppc.o: ${GENERIC_HFILES} ppc.c
	cc -c ${CFLAGS} ppc.c ${WARNING_OPTIONS} ${WARNING_ERROR}

ia64.o: ${GENERIC_HFILES} ia64.c
	cc -c ${CFLAGS} ia64.c ${WARNING_OPTIONS} ${WARNING_ERROR}

ppc64.o: ${GENERIC_HFILES} ppc64.c
	cc -c ${CFLAGS} ppc64.c ${WARNING_OPTIONS} ${WARNING_ERROR}

x86_64.o: ${GENERIC_HFILES} x86_64.c
	cc -c ${CFLAGS} x86_64.c ${WARNING_OPTIONS} ${WARNING_ERROR}

s390.o: ${GENERIC_HFILES} ${IBM_HFILES} s390.c
	cc -c ${CFLAGS} s390.c ${WARNING_OPTIONS} ${WARNING_ERROR}

## crash 3.10

=== Makefile ===
--- 
+++ 
@@ -20,22 +20,27 @@
 #
 # 09/28/00  Transition to CVS version control
 #
-# CVS: $Revision: 1.50 $ $Date: 2004/06/11 20:22:24 $
+# CVS: $Revision: 1.62 $ $Date: 2005/02/21 18:15:16 $
 #
 
 PROGRAM=crash
 
 #
-# Supported targets: X86 ALPHA PPC IA64
+# Supported targets: X86 ALPHA PPC IA64 PPC64
 # TARGET will be configured automatically by configure
 #
 TARGET=
 
+ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
+ifeq ($(ARCH), ppc64)
+CONF_FLAGS = -m64
+endif
+
 #
 # GDB, GDB_FILES and GDB_OFILES will be configured automatically by configure 
 #
-GDB=gdb-6.1
-GDB_FILES=${GDB_6.1_FILES}
+GDB=gdb-6.0
+GDB_FILES=${GDB_6.0_FILES}
 GDB_OFILES=
 
 #
@@ -63,7 +68,7 @@
 MCORE_HFILES=va_server.h vas_crash.h
 REDHAT_HFILES=netdump.h diskdump.h
 LKCD_DUMP_HFILES=lkcd_vmdump_v1.h lkcd_vmdump_v2_v3.h lkcd_dump_v5.h \
-        lkcd_dump_v8.h
+        lkcd_dump_v7.h lkcd_dump_v8.h lkcd_fix_mem.h
 LKCD_TRACE_HFILES=lkcd_x86_trace.h
 IBM_HFILES=ibm_common.h
 UNWIND_HFILES=unwind.h unwind_i.h rse.h
@@ -73,7 +78,7 @@
 	alpha.c x86.c ppc.c ia64.c s390.c s390x.c ppc64.c x86_64.c \
 	extensions.c remote.c va_server.c va_server_v1.c symbols.c cmdline.c \
 	lkcd_common.c lkcd_v1.c lkcd_v2_v3.c lkcd_v5.c lkcd_v7.c lkcd_v8.c\
-	s390_dump.c s390x_dump.c lkcd_x86_trace.c \
+	lkcd_fix_mem.c s390_dump.c s390x_dump.c lkcd_x86_trace.c \
 	netdump.c diskdump.c unwind.c unwind_decoder.c
 
 SOURCE_FILES=${CFILES} ${GENERIC_HFILES} ${MCORE_HFILES} \
@@ -85,7 +90,7 @@
 	alpha.o x86.o ppc.o ia64.o s390.o s390x.o ppc64.o x86_64.o \
 	extensions.o remote.o va_server.o va_server_v1.o symbols.o cmdline.o \
 	lkcd_common.o lkcd_v1.o lkcd_v2_v3.o lkcd_v5.o lkcd_v7.o lkcd_v8.o \
-	s390_dump.o s390x_dump.o netdump.o diskdump.o \
+	lkcd_fix_mem.o s390_dump.o s390x_dump.o netdump.o diskdump.o \
 	lkcd_x86_trace.o unwind_v1.o unwind_v2.o unwind_v3.o
 
 DAEMON_OBJECT_FILES=remote_daemon.o va_server.o va_server_v1.o \
@@ -134,14 +139,24 @@
           ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o ${GDB}/gdb/ui-file.o \
           ${GDB}/gdb/utils.o ${GDB}/gdb/dwarf2read.o
 
+GDB_6.0_FILES=${GDB}/gdb/Makefile.in ${GDB}/Makefile.in \
+          ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
+          ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
+          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c \
+	  ${GDB}/gdb/ppc-linux-tdep.c ${GDB}/sim/ppc/ppc-instructions \
+	  ${GDB}/bfd/simple.c
+GDB_6.0_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
+          ${GDB}/gdb/target.o ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
+          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o \
+	  ${GDB}/gdb/ppc-linux-tdep.o ${GDB}/bfd/simple.o
+
 GDB_6.1_FILES=${GDB}/gdb/Makefile.in ${GDB}/Makefile.in \
           ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
           ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
-          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c
+          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c ${GDB}/gdb/dwarf2read.c
 GDB_6.1_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
           ${GDB}/gdb/target.o ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
-          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o 
-
+          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o ${GDB}/gdb/dwarf2read.o
 
 # 
 # GDB_FLAGS is passed up from the gdb Makefile.
@@ -207,7 +222,7 @@
 
 make_configure: force
 	@rm -f configure
-	@cc -o configure configure.c ${WARNING_ERROR} ${WARNING_OPTIONS}
+	@cc ${CONF_FLAGS} -o configure configure.c ${WARNING_ERROR} ${WARNING_OPTIONS}
 
 clean:
 	rm -f ${OBJECT_FILES} ${DAEMON_OBJECT_FILES} ${PROGRAM} ${PROGRAM}lib.a ${GDB_OFILES}
@@ -303,27 +318,3 @@
 # remote.c functionality has been deprecated
 remote.o: ${GENERIC_HFILES} remote.c
 	@cc -c ${CFLAGS} remote.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-remote_daemon.o: ${GENERIC_HFILES} remote.c
-	cc -c ${CFLAGS} -DDAEMON remote.c -o remote_daemon.o ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-x86.o: ${GENERIC_HFILES} x86.c
-	cc -c ${CFLAGS} -DMCLX x86.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-alpha.o: ${GENERIC_HFILES} alpha.c
-	cc -c ${CFLAGS} ${GDB_FLAGS} alpha.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-ppc.o: ${GENERIC_HFILES} ppc.c
-	cc -c ${CFLAGS} ppc.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-ia64.o: ${GENERIC_HFILES} ia64.c
-	cc -c ${CFLAGS} ia64.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-ppc64.o: ${GENERIC_HFILES} ppc64.c
-	cc -c ${CFLAGS} ppc64.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-x86_64.o: ${GENERIC_HFILES} x86_64.c
-	cc -c ${CFLAGS} x86_64.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-s390.o: ${GENERIC_HFILES} ${IBM_HFILES} s390.c
-	cc -c ${CFLAGS} s390.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-

## crash 3.10-13.9-1

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Copyright (C) 1999, 2000, 2001, 2002 Mission Critical Linux, Inc.
 #       www.missioncriticallinux.com, info@missioncriticallinux.com
 #
-# Copyright (C) 2002, 2003, 2004 David Anderson
-# Copyright (C) 2002, 2003, 2004 Red Hat, Inc. All rights reserved.
+# Copyright (C) 2002, 2003, 2004, 2005 David Anderson
+# Copyright (C) 2002, 2003, 2004, 2005 Red Hat, Inc. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,10 +18,6 @@
 #
 # BitKeeper ID: @(#)Makefile 1.13
 #
-# 09/28/00  Transition to CVS version control
-#
-# CVS: $Revision: 1.62 $ $Date: 2005/02/21 18:15:16 $
-#
 
 PROGRAM=crash
 
@@ -39,8 +35,8 @@
 #
 # GDB, GDB_FILES and GDB_OFILES will be configured automatically by configure 
 #
-GDB=gdb-6.0
-GDB_FILES=${GDB_6.0_FILES}
+GDB=gdb-6.1
+GDB_FILES=${GDB_6.1_FILES}
 GDB_OFILES=
 
 #
@@ -78,7 +74,7 @@
 	alpha.c x86.c ppc.c ia64.c s390.c s390x.c ppc64.c x86_64.c \
 	extensions.c remote.c va_server.c va_server_v1.c symbols.c cmdline.c \
 	lkcd_common.c lkcd_v1.c lkcd_v2_v3.c lkcd_v5.c lkcd_v7.c lkcd_v8.c\
-	lkcd_fix_mem.c s390_dump.c s390x_dump.c lkcd_x86_trace.c \
+	lkcd_fix_mem.c s390_dump.c lkcd_x86_trace.c \
 	netdump.c diskdump.c unwind.c unwind_decoder.c
 
 SOURCE_FILES=${CFILES} ${GENERIC_HFILES} ${MCORE_HFILES} \
@@ -90,12 +86,12 @@
 	alpha.o x86.o ppc.o ia64.o s390.o s390x.o ppc64.o x86_64.o \
 	extensions.o remote.o va_server.o va_server_v1.o symbols.o cmdline.o \
 	lkcd_common.o lkcd_v1.o lkcd_v2_v3.o lkcd_v5.o lkcd_v7.o lkcd_v8.o \
-	lkcd_fix_mem.o s390_dump.o s390x_dump.o netdump.o diskdump.o \
+	lkcd_fix_mem.o s390_dump.o netdump.o diskdump.o \
 	lkcd_x86_trace.o unwind_v1.o unwind_v2.o unwind_v3.o
 
 DAEMON_OBJECT_FILES=remote_daemon.o va_server.o va_server_v1.o \
 	lkcd_common.o lkcd_v1.o lkcd_v2_v3.o lkcd_v5.o lkcd_v7.o lkcd_v8.o \
-	s390_dump.o s390x_dump.o netdump_daemon.o
+	s390_dump.o netdump_daemon.o
 
 GDB_5.0_FILES=${GDB}/gdb/Makefile.in \
 	  ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
@@ -144,7 +140,7 @@
           ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
           ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c \
 	  ${GDB}/gdb/ppc-linux-tdep.c ${GDB}/sim/ppc/ppc-instructions \
-	  ${GDB}/bfd/simple.c
+	  ${GDB}/bfd/simple.c ${GDB}/include/obstack.h
 GDB_6.0_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
           ${GDB}/gdb/target.o ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
           ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o \
@@ -153,7 +149,8 @@
 GDB_6.1_FILES=${GDB}/gdb/Makefile.in ${GDB}/Makefile.in \
           ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
           ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
-          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c ${GDB}/gdb/dwarf2read.c
+          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c ${GDB}/gdb/dwarf2read.c \
+	  ${GDB}/include/obstack.h
 GDB_6.1_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
           ${GDB}/gdb/target.o ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
           ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o ${GDB}/gdb/dwarf2read.o
@@ -318,3 +315,4 @@
 # remote.c functionality has been deprecated
 remote.o: ${GENERIC_HFILES} remote.c
 	@cc -c ${CFLAGS} remote.c ${WARNING_OPTIONS} ${WARNING_ERROR}
+remote_daemon.o: ${GENERIC_HFILES} remote.c

=== debian/changelog ===
crash (3.10-13.9-1) unstable; urgency=medium

  * New upstream version 3.10-13.9 (closes: #293657) 
  * Removing 01_Alpha_FTBS_fix.dpatch because it's now upstream

 -- Troy Heber <troy.heber@hp.com>  Fri, 10 Jun 2005 10:59:49 -0600 

crash (3.10-11-3) unstable; urgency=medium

  * Updated debian/control description to integrate with LKCD suite
  * Updated debian/control to Suggest kernel-patch-lkcd and dumputils

 -- Micah Anderson <micah@debian.org>  Mon, 14 Mar 2005 15:23:19 -0600

crash (3.10-11-2) unstable; urgency=medium

  * Moving Architecture to any
  * Adding patch to move ia64 NR_CPUS to 64 to match kernel-patch-LKCD

 -- Troy Heber <troy.heber@hp.com>  Mon, 14 Mar 2005 13:42:43 -0700 

crash (3.10-11-1) unstable; urgency=medium

  * New upstream version 3.10-11
  * New maintainer Troy Heber <troy.heber@hp.com>
  * New co-maintainer Micah Anderson <micah@debian.org>
  * Patch to fix FTBS on Alpha, sent patch upstream as well.

 -- Troy Heber <troy.heber@hp.com>  Wed, 02 Mar 2005 12:04:03 -0700

crash (3.8-2.1-3) unstable; urgency=low

  * Add missing Build-Depend on dbs. (closes: #258046)

 -- Josh Huber <huber@debian.org>  Wed,  7 Jul 2004 13:18:05 +0000

crash (3.8-2.1-2) unstable; urgency=low

  * Update to debhelper compat version 4

 -- Josh Huber <huber@debian.org>  Fri, 25 Jun 2004 13:16:45 +0000

crash (3.8-2.1-1) unstable; urgency=low

  * New upstream release! (closes: #249954)
  * Misc packaging fixes:
    + Repackaged with DBS, due to difficult source distribution.
    + Brought man page in-line with actual command line options.
    + Include changelog from distribution site.

 -- Josh Huber <huber@debian.org>  Wed, 23 Jun 2004 18:25:59 +0000

crash (3.3-1.2) unstable; urgency=low

  * Non-maintainer upload
  * Fixed build problems with gcc-3.3 (multiline strings). (Closes: #196710)
  * debian/copyright: Fixed upstream URI. (Closes: #197985)

 -- Marc Brockschmidt <marc@dch-faq.de>  Sun, 26 Oct 2003 13:31:57 +0100

crash (3.3-1.1) unstable; urgency=low

  * NMU (RC bug almost 4 months old).
  * debian/control:
    + Package description is no longer a full sentence.
    + Set policy to 3.5.10.
  * debian/copyright:
    + Added the GPL location blurb.
  * debian/rules:
    + Set the debhelper build dependency to >=2.0.
  * Removed "case NULL:" constructs with "case '\0':" in various places to
    fix compilation (Closes: #180190).
  * Replaced "cc" with "gcc" in the Makefile.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  6 Jun 2003 00:51:57 +0200

crash (3.3-1) unstable; urgency=low

  * New upstream release (Closes: #134967)

 -- Josh Huber <huber@debian.org>  Fri,  1 Mar 2002 10:51:00 -0500

crash (3.2-1) unstable; urgency=low

  * New upstream release. Adds IA64 support.

 -- Josh Huber <huber@debian.org>  Thu, 17 Jan 2002 12:25:49 -0500

crash (3.1-4) unstable; urgency=medium

  * Fixed missing build-depends on libncurses.  Should build on the
    autobuilders now

 -- Josh Huber <huber@debian.org>  Fri, 30 Nov 2001 16:57:44 -0500

crash (3.1-3) unstable; urgency=low

  * Fixed false-positive builds (hopefully no packages with missing
    binaries now)

 -- Josh Huber <huber@debian.org>  Tue, 20 Nov 2001 13:35:40 -0500

crash (3.1-2) unstable; urgency=low

  * Added binutils-dev and zlib1g-dev to the build-depends
    (closes #114061)

 -- Josh Huber <huber@debian.org>  Mon,  1 Oct 2001 11:22:08 -0400

crash (3.1-1) unstable; urgency=low

  * New upstream version (3.1)
    (note, I never uploaded the 3.0 package)

 -- Josh Huber <huber@debian.org>  Tue, 25 Sep 2001 11:31:50 -0400

crash (3.0-1) unstable; urgency=low

  * New upstream version (3.0)

 -- Josh Huber <huber@debian.org>  Wed, 15 Aug 2001 19:41:25 -0400

crash (2.6-1) unstable; urgency=low

  * new release (closes: #90895) 

 -- Josh Huber <huber@debian.org>  Mon, 26 Mar 2001 15:54:55 -0500

crash (2.5-2) unstable; urgency=low

  * fixed maintainer address

 -- Josh Huber <huber@debian.org>  Tue, 12 Dec 2000 23:33:41 -0500

crash (2.5-1) unstable; urgency=low

  * new upstream version

 -- Josh Huber <huber@debian.org>  Sat,  9 Dec 2000 10:52:06 -0500

crash (2.4-1) unstable; urgency=low

  * Initial Release.

 -- Josh Huber <huber@mclx.com>  Tue, 10 Oct 2000 18:00:20 -0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: crash
Section: utils
Priority: optional
Maintainer: Troy Heber <troy.heber@hp.com>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends: debhelper (>= 4), binutils-dev, zlib1g-dev, libncurses5-dev, dpatch
Standards-Version: 3.6.1.1

Package: crash
Architecture: any
Depends: ${shlibs:Depends}
Suggests: kernel-patch-lkcd, dumputils
Description: kernel debugging utility, allowing gdb like syntax
 The core analysis suite is a self-contained tool that can be used to
 investigate either live systems, LKCD (Linux Kernel Crash Dumps) and Red Hat
 Netdump and Diskdump core dumps. 
 .
 For complete LKCD crash dump support you will need the LKCD kernel patch,
 dumputils, and a debugger that can be used to analyze the crash, such as the
 "lcrash" or "crash" (this package) packages.
 .
 o  The tool is loosely based on the SVR4 crash command, but has been
    completely integrated with gdb in order to be able to display 
    formatted kernel data structures, disassemble source code, etc.
 .    
 o  The current set of available commands consist of common kernel core
    analysis tools such as a context-specific stack traces, source code
    disassembly, kernel variable displays, memory display, dumps of 
    linked-lists, etc.  In addition, any gdb command may be entered,
    which in turn will be passed onto the gdb module for execution.  
 .
 o  There are several commands that delve deeper into specific kernel
    subsystems, which also serve as templates for kernel developers
    to create new commands for analysis of a specific area of interest.
    Adding a new command is a simple affair, and a quick recompile
    adds it to the command menu.
 .
 o  The intent is to make the tool independent of Linux version dependencies,
    building in recognition of major kernel code changes so as to adapt to 
    new kernel versions, while maintaining backwards compatibility.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

include /usr/share/dpatch/dpatch.make

build: patch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp	
	-$(MAKE) clean
	find . -name "*~" -exec rm {} \;

	dh_clean

configure: patch configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installmodules

	# Add here commands to install the package into debian/crash
	# mkdir $(CURDIR)/debian/crash
	$(MAKE) install DESTDIR=$(CURDIR)/debian/crash
	install -m 755 crash.8 \
	$(CURDIR)/debian/crash/usr/share/man/man8

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_installmodules
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
